using System;
using System.Collections.Generic;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 文章评论
    /// </summary>
    [DataTable("tede_comment")]
    public class Comment : Datory.Entity
    {
        /// <summary>
        /// 文章ID
        /// </summary>
        [DataColumn] public int ArticleId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn] public int UserId { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn] public string Content { get; set; }
        /// <summary>
        /// 点赞次数
        /// </summary>
        [DataColumn] public int Laud { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        [DataColumn] public int Pid { get; set; }
        /// <summary>
        /// 是否讨论
        /// </summary>
        [DataColumn] public bool IsUnderstand { get; set; }
         /// <summary>
         /// 状态 10 会议纪要 0 文章 1 话题 2 通知 3 笔记  4站内信
         /// </summary>
         /// <value></value>
        [DataColumn]
        public int TypeValue{get;set;}

    }
}
