namespace GxPress.EnumConst
{
    /// <summary>
    /// 会员类型
    /// </summary>
    public enum VipCardTypeConst
    {
        //月卡
        Month = 1,
        //季卡
        Season = 2,
        //年卡
        Year = 3
    }
    /// <summary>
    /// 终端
    /// </summary>
    public enum VipPortTypeConst
    {
        //客户端
        Pc = 1,
        //Android手机
        Android = 2,
        //苹果手机
        Ios = 3
    }
    /// <summary>
    /// 支付方式
    /// </summary>
    public enum PayWayTypeConst
    {
        WeChat = 1,
        AliyPay = 2
    }
    /// <summary>
    /// 资源类型 文章、书籍、视频、音频、期刊
    /// </summary>
    public enum ResourceTypeConst
    {
        Article = 1,
        //书籍
        Book = 2,
        //课程
        Curriculum = 3,
        //音频
        Audio = 4,
        //期刊
        Journal = 5,
        //视频
        Video = 6

    }
    /// <summary>
    /// 名栏 公众号 期刊
    /// </summary>
    public enum AttachTypeConst
    {
        //名栏
        StarColumn = 1,
        //公众号
        PublicNumber = 2,
        //期刊
        Journal = 3
    }
}