using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Result.User
{
    /// <summary>
    /// 用户基本信息
    /// </summary>
    public class UserInfoResult
    {
        /// <summary>
        /// 手机
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 昵称
        /// </summary>
        public string Nick { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 环信ID
        /// </summary>
        public string ImId { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        /// <value></value>
        public string DepartmentName { get; set; }
        /// <summary>
        /// 部门Id
        /// </summary>
        /// <value></value>
        public int DepartmentId { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        public bool IsDisable { get; set; }
    }
}
